WindowsDriverUpdateProfile の更新
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windowsDriverUpdateProfile オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/windowsDriverUpdateProfiles/{windowsDriverUpdateProfileId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、 windowsDriverUpdateProfile オブジェクトの JSON 表記を指定 します。
次の表に、 windowsDriverUpdateProfile を作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | 文字列 | ポリシー Intune ID。 |
| displayName | 文字列 | プロファイルの表示名。 |
| 説明 | String | ユーザーによって指定されたプロファイルの説明。 |
| approvalType | driverUpdateProfileApprovalType | ドライバー更新プログラムのプロファイル承認の種類。 たとえば、手動または自動承認です。 可能な値は、manual、automatic です。 |
| deviceReporting | Int32 | このプロファイルのレポートデバイスの数 |
| newUpdates | Int32 | このプロファイルで使用可能な新しいドライバー更新プログラムの数。 |
| deploymentDeferralInDays | Int32 | [承認の種類] が [自動承認] に設定されている場合にのみ適用できる、日数での展開の延期設定。 |
| createdDateTime | DateTimeOffset | プロファイルが作成された日付時刻。 |
| lastModifiedDateTime | DateTimeOffset | プロファイルが最後に変更された日時。 |
| roleScopeTagIds | String collection | この Driver Update エンティティのスコープ タグの一覧。 |
| inventorySyncStatus | windowsDriverUpdateProfileInventorySyncStatus | このプロファイルのドライバー インベントリ同期状態。 |
応答
成功した場合、このメソッドは応答 200 OK コードと、応答本文で 更新された windowsDriverUpdateProfile オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/windowsDriverUpdateProfiles/{windowsDriverUpdateProfileId}
Content-type: application/json
Content-length: 555
{
"@odata.type": "#microsoft.graph.windowsDriverUpdateProfile",
"displayName": "Display Name value",
"description": "Description value",
"approvalType": "automatic",
"deviceReporting": 15,
"newUpdates": 10,
"deploymentDeferralInDays": 8,
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"inventorySyncStatus": {
"@odata.type": "microsoft.graph.windowsDriverUpdateProfileInventorySyncStatus",
"lastSuccessfulSyncDateTime": "2017-01-01T00:03:28.120883-08:00",
"driverInventorySyncState": "success"
}
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 727
{
"@odata.type": "#microsoft.graph.windowsDriverUpdateProfile",
"id": "55bcc52a-c52a-55bc-2ac5-bc552ac5bc55",
"displayName": "Display Name value",
"description": "Description value",
"approvalType": "automatic",
"deviceReporting": 15,
"newUpdates": 10,
"deploymentDeferralInDays": 8,
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"inventorySyncStatus": {
"@odata.type": "microsoft.graph.windowsDriverUpdateProfileInventorySyncStatus",
"lastSuccessfulSyncDateTime": "2017-01-01T00:03:28.120883-08:00",
"driverInventorySyncState": "success"
}
}
フィードバック
フィードバックの送信と表示